program dump
use sep

implicit none

character*20			:: amp
integer 			:: i, n1,n2
real, dimension (:),allocatable	:: data

call sep_init (SOURCE)
call sep_begin_prog()

call from_history("n1",n1)
call from_history("n2",n2)

allocate( data(n1*n2))

open(unit=5,file="amp_A.txt",status="unknown")
call sep_read(data)
do i=1,n1*n2
	write(5,*) data(i)
end do
close(unit=5)
deallocate(data)
call sep_end_prog()
call exit( 0)
end program dump

